Index: branches/NERC/dev_r5589_is_oce_cpl/DOC/TexFiles/Chapters/Chap_SBC.tex
===================================================================
--- branches/NERC/dev_r5589_is_oce_cpl/DOC/TexFiles/Chapters/Chap_SBC.tex	(revision 5791)
+++ branches/NERC/dev_r5589_is_oce_cpl/DOC/TexFiles/Chapters/Chap_SBC.tex	(revision 6002)
@@ -1002,22 +1002,31 @@
 \namdisplay{namsbc_iscpl}
 %--------------------------------------------------------------------------------------------------------
-Ice sheet/ocean coupling is done through file exchange at the restart step. NEMO, at each restart step, read the bathymetry and ice shelf draft variable in a netcdf file. If \np{ln\_iscpl = ~true}, the isf draft is assume to be different at each restart step with potentially some new wet/dry cells due to the ice sheet dynamics/thermodynamics.
-The wetting and drying scheme applied on the restart is very simple and described below for the 6 different configurations:
+Ice sheet/ocean coupling is done through file exchange at the restart step. NEMO, at each restart step, 
+read the bathymetry and ice shelf draft variable in a netcdf file. 
+If \np{ln\_iscpl = ~true}, the isf draft is assume to be different at each restart step 
+with potentially some new wet/dry cells due to the ice sheet dynamics/thermodynamics.
+The wetting and drying scheme applied on the restart is very simple and described below for the 6 different cases:
 \begin{description}
-\item[Thinning a cell:]
+\item[Thin a cell down:]
 	T/S/ssh are unchanged and U/V in the top cell are corrected to keep the barotropic transport (bt) constant ($bt_b=bt_n$).
 \item[Enlarge  a cell:]
-	See case "Thinning a cell"
+	See case "Thin a cell down"
 \item[Dry a cell:]
-	mask = 0, T/S=0, U/V = 0, ssh = 0. Furthermore, U/V into the water column are modified to satisfy ($bt_b=bt_n$).
+	mask, T/S, U/V and ssh are set to 0. Furthermore, U/V into the water column are modified to satisfy ($bt_b=bt_n$).
 \item[Wet a cell:] 
-	mask = 1, T/S is extrapolated from neighbours, $ssh_n = ssh_b$ and U/V = 0. If no neighbours along i,j and k, set T/S/U/V = 0 and mask = 0.
+	mask is set to 1, T/S is extrapolated from neighbours, $ssh_n = ssh_b$ and U/V set to 0. If no neighbours along i,j and k, T/S/U/V and mask are set to 0.
 \item[Dry a column:]
-	set mask = 0, T/S = 0, U/V = 0 everywhere in the column and ssh = 0.
+	mask, T/S, U/V are set to 0 everywhere in the column and ssh set to 0.
 \item[Wet a column:]
-	set mask to 1, T/S is extrapolated from neighbours, ssh is extrapolated from neighbours, U/V = 0. If no neighbour, T/S/U/V = 0 and set mask to 0.
+	set mask to 1, T/S is extrapolated from neighbours, ssh is extrapolated from neighbours and U/V set to 0. If no neighbour, T/S/U/V and mask set to 0.
 \end{description}
-
-This process is able to take into account grounding line and calving front migration. However, this process is not conservative. This could lead to a trend in heat/salt content and volume. In order to remove the trend and keep the conservation level as close to 0 as possible, a simple conservation scheme is available with \np{ln\_hsb = ~true}. The heat/salt/vol. gain/loss is diagnose, as well as the location. Based on what is done on sbcrnf to prescribed a source of heat/salt/vol., the heat/salt/vol. gain/loss is removed/added, over a period of \np{rn\_fiscpl} time step, into the system. So after \np{rn\_fiscpl} time step, all the heat/salt/vol. gain/loss due to extrapolation process is canceled.
+The extrapolation is call \np{nn\_drown} times. It means that if the grounding line retreat by more than \np{nn\_drown} cells between 2 coupling steps,
+ the code will be unable to fill all the new wet cells properly. The default number is set up for the MISOMIP idealised experiments.\\
+This coupling procedure is able to take into account grounding line and calving front migration. However, it is a non-conservative processe. 
+This could lead to a trend in heat/salt content and volume. In order to remove the trend and keep the conservation level as close to 0 as possible,
+ a simple conservation scheme is available with \np{ln\_hsb = ~true}. The heat/salt/vol. gain/loss is diagnose, as well as the location. 
+Based on what is done on sbcrnf to prescribed a source of heat/salt/vol., the heat/salt/vol. gain/loss is removed/added,
+ over a period of \np{rn\_fiscpl} time step, into the system. 
+So after \np{rn\_fiscpl} time step, all the heat/salt/vol. gain/loss due to extrapolation process is canceled.\\
 
 As the before and now fields are not compatible (modification of the geometry), the restart time step is prescribed to be an euler time step instead of a leap frog and $fields_b = fields_n$.